#ifndef XMATERIALINFO_H
#define XMATERIALINFO_H

#include "xasset.h"
#include "xgfxdrawsurf.h"
#include "xstring.h"

class XMaterialInfo : public XAsset
{
public:
    explicit XMaterialInfo();
    ~XMaterialInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XString mName;
    quint8 mGameFlags;
    quint8 mSortKey;
    quint8 mTextureAtlasRowCount;
    quint8 mTextureAtlasColumnCount;
    XGfxDrawSurf mDrawSurf;
    quint32 mSurfaceTypeBits;
};

#endif // XMATERIALINFO_H








